org.springframework.batch.sample.domain.trade

## Class CustomerUpdateProcessor

- java.lang.Object
- - org.springframework.batch.sample.domain.trade.CustomerUpdateProcessor

- All Implemented Interfaces:
    ItemProcessor<CustomerUpdate,CustomerUpdate>

      public class CustomerUpdateProcessor
      extends java.lang.Object
      implements ItemProcessor<CustomerUpdate,CustomerUpdate>

  Author:
    Lucas Ward

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomerUpdateProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CustomerUpdate` | `process(CustomerUpdate item)` Process the provided item, returning a potentially modified or new item for continued processing.
    `void` | `setCustomerDao(CustomerDao customerDao)`
    `void` | `setInvalidCustomerLogger(InvalidCustomerLogger invalidCustomerLogger)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomerUpdateProcessor

          public CustomerUpdateProcessor()

  - ### Method Detail

    - #### process

          public CustomerUpdate process(CustomerUpdate item)
                                 throws java.lang.Exception

      Description copied from interface: `ItemProcessor`
      Process the provided item, returning a potentially modified or new item for continued processing. If the returned result is null, it is assumed that processing of the item should not continue.
      Specified by:
        `process` in interface `ItemProcessor<CustomerUpdate,CustomerUpdate>`
      Parameters:
        `item` - to be processed
      Returns:
        potentially modified or new item for continued processing, null if processing of the provided item should not continue.
      Throws:
        `java.lang.Exception`

    - #### setCustomerDao

          public void setCustomerDao(CustomerDao customerDao)

    - #### setInvalidCustomerLogger

          public void setInvalidCustomerLogger(InvalidCustomerLogger invalidCustomerLogger)